import { OnInit, OnDestroy } from '@angular/core';
import { BaseArrayComponent } from '../../../core/base-array/base-array.component';
import { RawArrayContainerComponentInputs } from './raw-array-container.component.inputs';
export declare class RawArrayContainerComponent extends BaseArrayComponent implements OnInit, OnDestroy {
    selectedIndex: number;
    arrayData: Array<any>;
    dataForDynArray: {
        index: number;
    };
    inputs: RawArrayContainerComponentInputs;
    private valueSubs;
    constructor(config: any);
    ngOnInit(): void;
    ngOnDestroy(): void;
    addItem(): void;
    removeItem(index: any): void;
    onClick(index: any): void;
}
